Debian Bug report logs - #559933
mpd: mp3 support for shout not available

version graph

Package: mpd; Maintainer for mpd is mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>; Source for mpd is src:mpd.

Reported by: "TC M." <tm.context@gmail.com>

Date: Mon, 7 Dec 2009 21:33:02 UTC

Severity: important

Tags: patch

Found in version mpd/0.15.4-1

Fixed in version mpd/0.16.7-2

Done: Alexander Wirt <formorer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#559933; Package mpd. (Mon, 07 Dec 2009 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "TC M." <tm.context@gmail.com>:
New Bug report received and forwarded. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 07 Dec 2009 21:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "TC M." <tm.context@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mpd: mp3 support for shout not available
Date: Mon, 07 Dec 2009 16:05:03 -0500
Package: mpd
Version: 0.15.4-1
Severity: important


>From the man page, available options in mpd.conf for shout are as follows:

"""
OPTIONAL SHOUT OUTPUT PARAMETERS
       encoding <encoding>
              This specifies which output encoding to use.  Should  be  either
              "ogg"  or  "mp3",   "mp3" is needed for shoutcast streaming. The
              default is "ogg".
"""

However, I believe that mpd has renamed "mp3" to "lame" but perhaps has
not yet updated their documentation.

Regardless, it appears that mpd does not require lame libraries as a
dependency, and neither option allows mpd to start:

Starting Music Player Daemon: mpdoutput: line 104: couldn't find shout encoder plugin "lame"
Aborted
 failed!

Starting Music Player Daemon: mpdoutput: line 104: couldn't find shout encoder plugin "mp3"
Aborted
 failed!


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mpd depends on:
ii  adduser           3.111                  add and remove users and groups
ii  libao2            0.8.8-5                Cross Platform Audio Output Librar
ii  libasound2        1.0.21a-1              shared library for ALSA applicatio
ii  libaudiofile0     0.2.6-7                Open-source version of SGI's audio
ii  libavcodec52      5:0.5+svn20091101-0.0  library to encode decode multimedi
ii  libavformat52     5:0.5+svn20091101-0.0  ffmpeg file format library
ii  libavutil49       4:0.5+svn20090706-2+b1 ffmpeg utility library
ii  libc6             2.10.2-2               GNU C Library: Shared libraries
ii  libcue1           1.3.0-1                CUE Sheet Parser Library
ii  libcurl3-gnutls   7.19.7-1               Multi-protocol file transfer libra
ii  libfaad2          2.7-4                  freeware Advanced Audio Decoder - 
ii  libflac8          1.2.1-2+b1             Free Lossless Audio Codec - runtim
ii  libgcc1           1:4.4.2-3              GCC support library
ii  libglib2.0-0      2.22.2-2               The GLib library of C routines
ii  libid3tag0        0.15.1b-10             ID3 tag reading library from the M
ii  libjack0          0.118+svn3796-1        JACK Audio Connection Kit (librari
ii  libmad0           0.15.1b-4              MPEG audio decoder library
ii  libmms0           0.4-2                  MMS stream protocol library - shar
ii  libmpcdec3        1:1.2.2-2.1            Musepack (MPC) format library
ii  libogg0           1.1.4~dfsg-1           Ogg bitstream library
ii  libpulse0         0.9.19-2               PulseAudio client libraries
ii  libresid-builder0 2.1.1-8                SID chip emulation class based on 
ii  libsamplerate0    0.1.7-3                Audio sample rate conversion libra
ii  libshout3         2.2.2-5+b1             MP3/Ogg Vorbis broadcast streaming
ii  libsidplay2       2.1.1-8                SID (MOS 6581) emulation library
ii  libsqlite3-0      3.6.20-1               SQLite 3 shared library
ii  libstdc++6        4.4.2-3                The GNU Standard C++ Library v3
ii  libvorbis0a       1.2.3-3                The Vorbis General Audio Compressi
ii  libvorbisenc2     1.2.3-3                The Vorbis General Audio Compressi
ii  libvorbisfile3    1.2.3-3                The Vorbis General Audio Compressi
ii  libwavpack1       4.60.0-1               an audio codec (lossy and lossless

mpd recommends no packages.

Versions of packages mpd suggests:
ii  avahi-daemon                  0.6.25-2   Avahi mDNS/DNS-SD daemon
ii  gmpc [mpd-client]             0.19.1-1   Gnome Music Player Client (graphic
ii  icecast2                      2.3.2-4    Ogg Vorbis and MP3 streaming media
ii  lastmp [mpd-client]           1.0.5-1    MPD client for lastfmsubmitd
ii  pulseaudio                    0.9.19-2   PulseAudio sound server

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#559933; Package mpd. (Mon, 07 Dec 2009 22:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 07 Dec 2009 22:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 559933@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: "TC M." <tm.context@gmail.com>, 559933@bugs.debian.org
Subject: Re: Bug#559933: mpd: mp3 support for shout not available
Date: Mon, 7 Dec 2009 23:03:18 +0100
On 2009/12/07 22:05, "TC M." <tm.context@gmail.com> wrote:
> Regardless, it appears that mpd does not require lame libraries as a
> dependency, and neither option allows mpd to start:

LAME is not part of Debian, and for this reason, mpd's LAME encoder
plugin is disabled at compile time on Debian.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#559933; Package mpd. (Mon, 07 Dec 2009 22:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Decklin Foster <decklin@red-bean.com>:
Extra info received and forwarded to list. (Mon, 07 Dec 2009 22:06:08 GMT) Full text and rfc822 format available.

Message #15 received at 559933@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: TC M. <tm.context@gmail.com>, 559933@bugs.debian.org
Subject: Re: Bug#559933: mpd: mp3 support for shout not available
Date: Mon, 07 Dec 2009 16:54:49 -0500
Excerpts from TC M.'s message of Mon Dec 07 16:05:03 -0500 2009:
> Regardless, it appears that mpd does not require lame libraries as a
> dependency, and neither option allows mpd to start:

Lame is not in Debian due to patent issues.
-- 
things change.
decklin@red-bean.com




Added tag(s) wontfix. Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 09:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>:
Bug#559933; Package mpd. (Wed, 22 Feb 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>. (Wed, 22 Feb 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 559933@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: 559933@bugs.debian.org
Subject: lame in Debian now
Date: Wed, 22 Feb 2012 01:40:06 +0100
[Message part 1 (text/plain, inline)]
  Hi,

  Since July 2011 lame is part of Debian [1], so I guess there's no
reason this couldn't be fixed.

  regards,

[1] http://packages.qa.debian.org/l/lame.html
-- 
  Ricardo Mones 
  ~
  You have the capacity to learn from mistakes. You'll learn a lot 
  today.                                           /usr/games/fortune

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>:
Bug#559933; Package mpd. (Thu, 23 Feb 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>. (Thu, 23 Feb 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 559933@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: 559933@bugs.debian.org
Subject: patch to add lame support
Date: Thu, 23 Feb 2012 01:15:56 +0100
[Message part 1 (text/plain, inline)]
tags 559933 - wontfix + patch
thanks

  Hi again,

  The attached patch enables lame support in current packaging and seems to
work fine here. It's in NMU style, but feel free to alter it as you see fit.

  best regards,
-- 
  Ricardo Mones 
  ~
  Never send a human to do a machine's job.               Agent Smith
[add-lame-support.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) wontfix. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 00:21:04 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 00:21:05 GMT) Full text and rfc822 format available.

Reply sent to Alexander Wirt <formorer@debian.org>:
You have taken responsibility. (Sat, 10 Mar 2012 13:53:02 GMT) Full text and rfc822 format available.

Notification sent to "TC M." <tm.context@gmail.com>:
Bug acknowledged by developer. (Sat, 10 Mar 2012 13:53:02 GMT) Full text and rfc822 format available.

Message #36 received at 559933-close@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 559933-close@bugs.debian.org
Subject: Bug#559933: fixed in mpd 0.16.7-2
Date: Sat, 10 Mar 2012 13:34:04 +0000
Source: mpd
Source-Version: 0.16.7-2

We believe that the bug you reported is fixed in the latest version of
mpd, which is due to be installed in the Debian FTP archive:

mpd-dbg_0.16.7-2_amd64.deb
  to main/m/mpd/mpd-dbg_0.16.7-2_amd64.deb
mpd_0.16.7-2.diff.gz
  to main/m/mpd/mpd_0.16.7-2.diff.gz
mpd_0.16.7-2.dsc
  to main/m/mpd/mpd_0.16.7-2.dsc
mpd_0.16.7-2_amd64.deb
  to main/m/mpd/mpd_0.16.7-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Wirt <formorer@debian.org> (supplier of updated mpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Mar 2012 14:05:48 +0100
Source: mpd
Binary: mpd mpd-dbg
Architecture: source amd64
Version: 0.16.7-2
Distribution: unstable
Urgency: low
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Changed-By: Alexander Wirt <formorer@debian.org>
Description: 
 mpd        - Music Player Daemon
 mpd-dbg    - Music Player Daemon debugging symbols
Closes: 559933
Changes: 
 mpd (0.16.7-2) unstable; urgency=low
 .
   * [06f520f] Enable lame mp3 encoder (Closes: #559933)
Checksums-Sha1: 
 249d1c9c7d4ef4305d8707bca694fff0d5d3a728 1776 mpd_0.16.7-2.dsc
 58e3f4a69d73f19d681f20d086d72bccade27ba6 18032 mpd_0.16.7-2.diff.gz
 54555b6ec6e8fc69f7d51771188618f5b7f40b20 229844 mpd_0.16.7-2_amd64.deb
 a4a324f65d33945776b01c5fd9312e655a0abdbb 547050 mpd-dbg_0.16.7-2_amd64.deb
Checksums-Sha256: 
 9ca3e81361b21302f2ea95a781b169b50b44e821461fe6fc1a23ae7f3ffccbc7 1776 mpd_0.16.7-2.dsc
 f20ae0e319bdef18216a31153a7c4a87b210b3d98bf4d2918f87c666845d7318 18032 mpd_0.16.7-2.diff.gz
 50ffe124eb95dc5ef4d959cf3d1d9ee005c68027a99b36d2c32ff5bebc5ba411 229844 mpd_0.16.7-2_amd64.deb
 0eaf873f6318fa064deee134e79e4afe1bf6a71eed49f87dd570b7693448931f 547050 mpd-dbg_0.16.7-2_amd64.deb
Files: 
 e27645c3a422d591de8022dd95ab2cbc 1776 sound optional mpd_0.16.7-2.dsc
 5c8255b44dd75926032c6580cd0871c3 18032 sound optional mpd_0.16.7-2.diff.gz
 b31e0206f092abe2828f62e8196c3d1a 229844 sound optional mpd_0.16.7-2_amd64.deb
 8d132daf9d122beda2b54bc36e731db7 547050 debug extra mpd-dbg_0.16.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9bU2gACgkQ01u8mbx9AgqDxACeMXAdbS1Nkng/qUuHyGvJHYv5
ttUAn3efoLClYUH/Fzl8OCso99igJYyp
=dl2B
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Apr 2012 07:39:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:33:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.